| Home | Libraries | People | FAQ | More

## Macro BOOST_ONCE_INIT

BOOST_ONCE_INIT — The call_once function and `once_flag` type (statically initialized to BOOST_ONCE_INIT) can be used to run a routine exactly once. This can be used to initialize data in a thread-safe manner.

## Synopsis

    BOOST_ONCE_INIT

## Description

The implementation-defined macro BOOST_ONCE_INIT is a constant value used to initialize `once_flag` instances to indicate that the logically associated routine has not been run yet. See call_once for more details.

| Copyright © 2001-2003 William E. Kempf